//Copyright (C) 2004, Brian Enigma <enigma at netninja.com>
//This file is part of Tasty Safari.
//
//Tasty Safari is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or
//(at your option) any later version.
//
//Tasty Safari is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with Foobar; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package org.ninjasoft.tastysafari.data;

import java.util.*;

/**
 * A simple datastructure class to hold information about a single post.
 * @author enigma
 */
public class Subscription {
    private String user = "";
    private String[] tags = new String[0];
    
    public String toString() {
        return this.user;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String[] getTags() {
        return tags;
    }
    
    public void setTags(String allTags) {
        Vector tagList = new Vector();
        StringTokenizer st = new StringTokenizer(allTags);
        while (st.hasMoreTokens()) {
            String token = st.nextToken().trim();
            if (token.length() > 0)
                tagList.add(token);
        }
        this.tags = new String[tagList.size()];
        int counter = 0;
        for (Iterator i=tagList.iterator(); i.hasNext(); counter++)
            this.tags[counter] = i.next().toString();
    }
}
